php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #73748 could not make
Submitted: 2016-12-15 11:27 UTC Modified: 2018-10-05 14:28 UTC
Votes:3
Avg. Score:3.7 ± 0.9
Reproduced:3 of 3 (100.0%)
Same Version:3 (100.0%)
Same OS:1 (33.3%)
From: soul11201 at gmail dot com Assigned: cmb (profile)
Status: Closed Package: stomp (PECL)
PHP Version: 7.1.0 OS: CentOS release 6.4 (Final)
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: soul11201 at gmail dot com
New email:
PHP Version: OS:

 

 [2016-12-15 11:27 UTC] soul11201 at gmail dot com
Description:
------------
CentOS release 6.4 (Final)

#php -v
PHP 7.1.0 (cli) (built: Dec 15 2016 16:17:30) ( NTS )
Copyright (c) 1997-2016 The PHP Group
Zend Engine v3.1.0-dev, Copyright (c) 1998-2016 Zend Technologies

#phpize
Configuring for:
PHP Api Version:         20160303
Zend Module Api No:      20160303
Zend Extension Api No:   320160303

#./configure && make
....
....
/bin/sh /home/software/stomp-2.0.0/libtool --mode=compile cc  -I. -I/home/software/stomp-2.0.0 -DPHP_ATOM_INC -I/home/software/stomp-2.0.0/include -I/home/software/stomp-2.0.0/main -I/home/software/stomp-2.0.0 -I/home/software/php7.1.0rc/include/php -I/home/software/php7.1.0rc/include/php/main -I/home/software/php7.1.0rc/include/php/TSRM -I/home/software/php7.1.0rc/include/php/Zend -I/home/software/php7.1.0rc/include/php/ext -I/home/software/php7.1.0rc/include/php/ext/date/lib  -DHAVE_CONFIG_H  -g -O2   -c /home/software/stomp-2.0.0/stomp.c -o stomp.lo 
mkdir .libs
cc -I. -I/home/software/stomp-2.0.0 -DPHP_ATOM_INC -I/home/software/stomp-2.0.0/include -I/home/software/stomp-2.0.0/main -I/home/software/stomp-2.0.0 -I/home/software/php7.1.0rc/include/php -I/home/software/php7.1.0rc/include/php/main -I/home/software/php7.1.0rc/include/php/TSRM -I/home/software/php7.1.0rc/include/php/Zend -I/home/software/php7.1.0rc/include/php/ext -I/home/software/php7.1.0rc/include/php/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /home/software/stomp-2.0.0/stomp.c  -fPIC -DPIC -o .libs/stomp.o
/bin/sh /home/software/stomp-2.0.0/libtool --mode=compile cc  -I. -I/home/software/stomp-2.0.0 -DPHP_ATOM_INC -I/home/software/stomp-2.0.0/include -I/home/software/stomp-2.0.0/main -I/home/software/stomp-2.0.0 -I/home/software/php7.1.0rc/include/php -I/home/software/php7.1.0rc/include/php/main -I/home/software/php7.1.0rc/include/php/TSRM -I/home/software/php7.1.0rc/include/php/Zend -I/home/software/php7.1.0rc/include/php/ext -I/home/software/php7.1.0rc/include/php/ext/date/lib  -DHAVE_CONFIG_H  -g -O2   -c /home/software/stomp-2.0.0/php_stomp.c -o php_stomp.lo 
cc -I. -I/home/software/stomp-2.0.0 -DPHP_ATOM_INC -I/home/software/stomp-2.0.0/include -I/home/software/stomp-2.0.0/main -I/home/software/stomp-2.0.0 -I/home/software/php7.1.0rc/include/php -I/home/software/php7.1.0rc/include/php/main -I/home/software/php7.1.0rc/include/php/TSRM -I/home/software/php7.1.0rc/include/php/Zend -I/home/software/php7.1.0rc/include/php/ext -I/home/software/php7.1.0rc/include/php/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /home/software/stomp-2.0.0/php_stomp.c  -fPIC -DPIC -o .libs/php_stomp.o
/home/software/stomp-2.0.0/php_stomp.c: In function ‘zif_stomp_read_frame’:
/home/software/stomp-2.0.0/php_stomp.c:966: error: ‘zend_fcall_info’ has no member named ‘function_table’
/home/software/stomp-2.0.0/php_stomp.c:967: error: ‘zend_fcall_info’ has no member named ‘symbol_table’
/home/software/stomp-2.0.0/php_stomp.c:983: error: ‘zend_executor_globals’ has no member named ‘scope’
make: *** [php_stomp.lo] Error 1


Patches

fix_php7.1_compat.patch (last revision 2017-05-01 23:25 UTC by nish dot aravamudan at canonical dot com)

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2017-01-11 10:02 UTC] josh at lokot dot com
I also have been unable to get the stomp extension to compile for PHP 7.1.0.  It compiles fine under 7.0.x.

My system is FreeBSD 11.0-RELEASE.
 [2017-05-01 23:28 UTC] nish dot aravamudan at canonical dot com
We are hitting this bug as Ubuntu 17.10 will transition to 7.1

The attached patch, modelled after what the yaf extension has done for similar issues, seems to build.
 [2018-10-05 14:28 UTC] cmb@php.net
-Status: Open +Status: Closed -Assigned To: +Assigned To: cmb
 [2018-10-05 14:28 UTC] cmb@php.net
stomp 2.0.1 claims to be compatible with PHP 7.1[1] – closing.

[1] <https://pecl.php.net/package-info.php?package=stomp&version=2.0.1>
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Wed Oct 28 15:01:23 2020 UTC